#!/bin/sh
#
# Use values from XENV to tighten up security
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S02secure.sh $
# $Revision: 52036 $
# $Date: 2006-10-03 16:56:54 -0700 (Tue, 03 Oct 2006) $
# $Author: htrieu $

# constants
XENV_BLOCK=/dev/mtdblock/1

start() {
    rootPass=`genxenv g $XENV_BLOCK p.password 2>/dev/null | sed -e s/\"//g`
    if [ -n "$rootPass" ]
    then
        # can't use sed because the character set for the encoded
        # password can include sed control characters. It is easier
        # to use a pipeline than to add escape sequences for sed.
        (echo "root:$rootPass:10933:0:99999:7:::" ; egrep -v "^root|^default" /etc/shadow) >/tmp/shadow
        mv /tmp/shadow /etc
    else
        # for security reasons the key to unlock the bdplus libraries
        # is removed if the root password has been removed.
        genxenv d $XENV_BLOCK p.bdplusKey
        sync
    fi
}	
stop() {
	echo "$0 stop function is not implemented."
}
restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

