#!/bin/sh
#
# Power control - power off or reboot
#
#

# constants
XENV_BLOCK=/dev/mtdblock/1

start() {
    echo "Signalling power controller with status DONE_TO_BOOT..."
    /bin/pwr_cntl 1
    
    # Emergency eject check
    BOARD_ID=`genxenv g $XENV_BLOCK a.board_id | sed -e s/\"//g`
    if [ "${BOARD_ID%%_A*}" = "OEMBDP" ]
    then
	echo "Checking for tray lock..."
	trayLock=`genxenv g $XENV_BLOCK p.tray_lock 2>/dev/null`
	if [ "$trayLock" != "\"yes\"" ]
	then
	    echo "Checking for STOP (KeyCode=0x04) key press..."
	    /bin/pwr_cntl 4 0
	    if [ $? -eq 4 ]
	    then
		eject
		sleep 3
		halt
		sleep 5
	    fi
	else
	    echo "Tray is locked"
	fi
    fi
}	

stop() {
    # The following lines were copied from /etc/inittab because
    # I haven't been able to get pwr_cntl to run reliably from
    # /etc/inittab and therefore and running it below.
    /usr/bin/killall klogd
    /usr/bin/killall syslogd
    /bin/umount -a -r
    /sbin/swapoff -a

    echo "Now turn off power"
    /bin/pwr_cntl 2
    sleep 2
    echo "Should not get here!"
}

reboot() {
    echo "Preparing to signal power controller with status RESET_MAIN..."
    #pwr_cntl 3 - see inittab
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  reboot)
  	reboot
	;;
  *)
	echo $"Usage: $0 {start|stop|reboot}"
	exit 1
esac

exit $?

