#!/bin/sh
#
# Run update script from DVD if present
#
# This script allows updates to be supplied on
# DVD.
# This script relies on /etc/fstab defining the /dvd mount
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S10update.sh $
# $Revision: 53117 $
# $Date: 2006-10-18 12:55:07 -0700 (Wed, 18 Oct 2006) $
# $Author: htrieu $

update_script=/dvd/bp06_update/update.sh

start() {
    echo "Checking for updates on DVD ..."
    # The drive tray will be closed by the diskCheck program.
    diskCheck /dev/cdroms/cdrom0
    if [ $? -eq 2 ]
    then
        if (mount /dvd)
        then
            echo " - DVD found"
            if [ -e $update_script ]
            then
                set `md5sum $update_script`
                CALC_SUM=$1
                set `cat $update_script.md5`
                SUM=$1
                if [ "$CALC_SUM" = "$SUM" ]
                then
                    echo " - Valid update found."
                    echo " - Applying update ..."
                    /bin/sh $update_script
                else
                    echo " - Update is corrupt."
                fi
            else
                echo " - No updates on DVD."
            fi
            umount /dvd
        else
            echo " DVD mount failed."
        fi
    else
        echo "  Update DVD not found."
    fi
    echo "  Continuing with boot."
}	

stop() {
    echo -n "Stop is not implemented."
}
restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

