#!/bin/sh
#
# mount the application partition if properly signed.
#
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S35verifyApp.sh $
# $Revision: 53117 $
# $Date: 2006-10-18 12:55:07 -0700 (Wed, 18 Oct 2006) $
# $Author: htrieu $

XENV_DEV=/dev/mtdblock/1
APP_DEV=/dev/mtdblock/7
KEY=/root/pubkey.pem
SIG=/tmp/app.sig
BSIZE=4096
SKIP=997
BLKS=256

start() {
    echo -n "Verifying application signature... "
    result="FAILED"
    (genxenv g $XENV_DEV p.sig | sed -e /^\"$/d | uudecode -o $SIG) 2>/dev/null
    if [ $? -eq 0 ]
    then
        if dd if=$APP_DEV bs=$BSIZE skip=$SKIP count=$BLKS 2>/dev/null \
           | openssl dgst -sha1 -verify $KEY -signature $SIG >/dev/null
       then
            if (mount /romfs)
            then
                result="DONE"
            else
                result="FAILED"
            fi
        fi
    fi
    echo $result

    # shipping systems should shutdown if the application signature
    # is not valid.
    # The BDPlus library key is also erased if the application is
    # not vaild.
    if [ "$result" != "DONE" ]
    then
        genxenv d $XENV_DEV p.bdplusKey
        sync
        devMode=`genxenv g $XENV_DEV p.devMode 2>/dev/null`
        if [ "$devMode" != "\"yes\"" ]
        then
            #
            # If there is no application, then get the tray open so that
            # an update disk can be inserted for the next power on!
            #
            eject
            /bin/fipuser "WRT FAILED" 2
            sleep 3
            halt
            # some portions of the halt process seem to execute
            # asynchronously, so the following sleep command
            # simply assures that the startup process does not
            # continue.
            sleep 360
        fi
    fi
}	

stop() {
	echo "$0 stop function is not implemented."
}
restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

