#!/bin/sh
#
# Start the network services
#
# Network services (telnetd and inetd based) are started if the network
# is enabled (p.network_autostart = yes) and the XENV does not
# specifically disable the services (p.network_services != no).
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S50services.sh $
# $Revision: 52036 $
# $Date: 2006-10-03 16:56:54 -0700 (Tue, 03 Oct 2006) $
# $Author: htrieu $

XENV_DEV=/dev/mtdblock/1

start() {
    config=`genxenv g $XENV_DEV p.network_autostart 2>/dev/null`
    if [ "$config" = "\"yes\"" ]
    then
        config=`genxenv g $XENV_DEV p.network_services 2>/dev/null`
        if [ "$config" != "\"no\"" ]
        then
            echo -n "Starting network services..."
            /usr/sbin/inetd
            /usr/sbin/telnetd
            genxenv d $XENV_DEV p.bdplusKey
            sync
            echo " DONE"
        else
            echo "No network services available."
        fi
    else
        echo "Network disabled."
    fi
}	
stop() {
	echo -n "Stopping network services..."
        /usr/bin/killall inetd
        /usr/bin/killall telnetd
        echo " DONE"
}
restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

