#!/bin/sh
#
# Select file systems
#
# PFC code can exist on either the hard drive
# (primarily for develoment) or in a flash
# partition. The etc/fstab has mount commands for
# both. This script detects which, if any is mounted
# and creates a symbolic link to select one of the file
# systems. If both are present, then the hard disk
# takes priority.
#
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S90selectfs.sh $
# $Revision: 47799 $
# $Date: 2006-07-13 11:56:20 -0700 (Thu, 13 Jul 2006) $
# $Author: jdunmire $

XENV_DEV=/dev/mtdblock/1

start() {
    echo "Selecting a file system ..."
    if (mount | grep romfs >/dev/null)
    then
        echo "Using ROMFS."
        ln -s /romfs /mnt/workdir
        if [ -d /mnt/workdir/etc.in ]
        then
            echo "Installing setting up a writable /mnt/workdir/etc/ directory..."
            rm -rf /tmp/app_etc
            cp -r /mnt/workdir/etc.in /tmp/app_etc
        else
            echo "/mnt/workdir/etc.in doesn't exist, no etc/ setup needed."
        fi
    else
        config=`genxenv g $XENV_DEV p.hdd 2>/dev/null`
        if [ "$config" = "\"yes\"" ]
        then
            mount /hdd >/dev/null 2>&1
            if (mount | grep hdd >/dev/null)
            then
                echo "Using HDD."
                ln -s /hdd/workdir /mnt/workdir
            fi
        else
            echo "No mounted file system found."
        fi
    fi
}	

stop() {
    echo -n "Stop is not implemented."
}
restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

