#!/bin/sh
#
# Start pfc
#
# This script enables automatic startup of PFC on boot.
# To be successful, PFC must be installed at /mnt/workdir
# and must include an etc/init.d subdirectory. The
# rcS script in that subdirectory will be sourced to
# start the PFC initialization.
#
#
# $URL: http://svn.sj.pioneer-pra.com/targets/smp8634/trunk/patches/smp86xx_rootfs/target_skeleton/etc/init.d/S99pfc.sh $
# $Revision: 46836 $
# $Date: 2006-06-21 14:55:49 -0700 (Wed, 21 Jun 2006) $
# $Author: htrieu $

start() {
        if [ -e /mnt/workdir/etc/init.d/rcS ]
        then
            echo "Starting pfc..."
            cd /mnt/workdir/etc/init.d
            . /mnt/workdir/etc/init.d/rcS
        else
            echo "PFC startup script (/mnt/workdir/etc/init.d/rcS)not found."
        fi
}	
stop() {
        echo "stop is not implemented."
}
restart() {
        echo "restart is not implemented."
}

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $?

